using System;
using System.Collections.Generic;

#nullable disable

namespace BO.AppServer.Data.Entity
{
    public partial class User
    {
        public User()
        {
            Artifacts = new HashSet<Artifact>();
            BillingInfoCreatedByUsers = new HashSet<BillingInfo>();
            BillingInfoModifiedByUsers = new HashSet<BillingInfo>();
            BillingPlanCreatedByUsers = new HashSet<BillingPlan>();
            BillingPlanModifiedByUsers = new HashSet<BillingPlan>();
            InvoiceCreatedByUsers = new HashSet<Invoice>();
            InvoiceIssuerCreatedByUsers = new HashSet<InvoiceIssuer>();
            InvoiceIssuerModifiedByUsers = new HashSet<InvoiceIssuer>();
            InvoiceItemCreatedByUsers = new HashSet<InvoiceItem>();
            InvoiceItemModifiedByUsers = new HashSet<InvoiceItem>();
            InvoiceModifiedByUsers = new HashSet<Invoice>();
            MetadocumentCreatedByUsers = new HashSet<Metadocument>();
            MetadocumentLastDownloadedByUsers = new HashSet<Metadocument>();
            MetadocumentModifiedByUsers = new HashSet<Metadocument>();
            MimeTypeCreatedByUsers = new HashSet<MimeType>();
            MimeTypeModifiedByUsers = new HashSet<MimeType>();
            StatusHistories = new HashSet<StatusHistory>();
            TagCreatedByUsers = new HashSet<Tag>();
            TagModifiedByUsers = new HashSet<Tag>();
            WorkspaceCreatedByUsers = new HashSet<Workspace>();
            WorkspaceModifiedByUsers = new HashSet<Workspace>();
        }

        // public long Id { get; set; }
        public string Ifreference { get; set; }
        public string Name { get; set; }
        public DateTime? LastLogged { get; set; }
        public DateTime? LastDisabled { get; set; }
        public DateTime? LastEnabled { get; set; }
        public DateTime Created { get; set; }
        public DateTime? Modified { get; set; }
        public int LangLcid { get; set; }
        public bool IsSystem { get; set; }
        public bool IsEnabled { get; set; }

        public virtual ICollection<Artifact> Artifacts { get; set; }
        public virtual ICollection<BillingInfo> BillingInfoCreatedByUsers { get; set; }
        public virtual ICollection<BillingInfo> BillingInfoModifiedByUsers { get; set; }
        public virtual ICollection<BillingPlan> BillingPlanCreatedByUsers { get; set; }
        public virtual ICollection<BillingPlan> BillingPlanModifiedByUsers { get; set; }
        public virtual ICollection<Invoice> InvoiceCreatedByUsers { get; set; }
        public virtual ICollection<InvoiceIssuer> InvoiceIssuerCreatedByUsers { get; set; }
        public virtual ICollection<InvoiceIssuer> InvoiceIssuerModifiedByUsers { get; set; }
        public virtual ICollection<InvoiceItem> InvoiceItemCreatedByUsers { get; set; }
        public virtual ICollection<InvoiceItem> InvoiceItemModifiedByUsers { get; set; }
        public virtual ICollection<Invoice> InvoiceModifiedByUsers { get; set; }
        public virtual ICollection<Metadocument> MetadocumentCreatedByUsers { get; set; }
        public virtual ICollection<Metadocument> MetadocumentLastDownloadedByUsers { get; set; }
        public virtual ICollection<Metadocument> MetadocumentModifiedByUsers { get; set; }
        public virtual ICollection<MimeType> MimeTypeCreatedByUsers { get; set; }
        public virtual ICollection<MimeType> MimeTypeModifiedByUsers { get; set; }
        public virtual ICollection<StatusHistory> StatusHistories { get; set; }
        public virtual ICollection<Tag> TagCreatedByUsers { get; set; }
        public virtual ICollection<Tag> TagModifiedByUsers { get; set; }
        public virtual ICollection<Workspace> WorkspaceCreatedByUsers { get; set; }
        public virtual ICollection<Workspace> WorkspaceModifiedByUsers { get; set; }
    }
}
